openMP in Leopard

General OpenMP discussion

openMP in Leopard

Postby belokan2 » Thu Feb 14, 2008 12:44 pm

Hello,

I'm wondering if openMP is supported in Leopard Mac OSX.

-jungsook
belokan2
 

Re: openMP in Leopard

Postby ejd » Wed Feb 20, 2008 8:58 am

I am not that familiar with Macs, but I believe that you can get a version of gcc that will support Leopard. gcc version 4.2 (or later) supports OpenMP.
ejd
 
Posts: 1025
Joined: Wed Jan 16, 2008 7:21 am

Re: openMP in Leopard

Postby hariss » Wed Mar 05, 2008 5:12 am

Hi,

I am using gcc-4.2 that I compiled in Tiger, and OpenMP is working. I didn't installed Leopard yet. However, you should be able to compile it yourself. You can download the latest gcc from gcc.gnu.org. If you don't want to compile, you can get the Leopard binaries from this site:

http://hpc.sourceforge.net/

When I run configure for gcc, I set the install dir to /usr/local/gcc-4.2. So when I want to use it instead of the default gcc, I simply do export PATH=/usr/local/gcc-4.2:$PATH in terminal. I don't know the exact install dir for the binaries above, but It is probably /usr/local.

Hope this helps.

Haris
hariss
 
Posts: 2
Joined: Wed Feb 20, 2008 10:08 am

Re: openMP in Leopard

Postby lfm » Tue Apr 08, 2008 2:04 am

Intel compilers are also available on Intel Mac with OpenMP support, and possibly other vendors may support OpenMP on Intel-based macs.
lfm
 
Posts: 135
Joined: Sun Oct 21, 2007 4:58 pm
Location: OpenMP ARB

Re: openMP in Leopard

Postby Trash Bazooka » Wed Aug 13, 2008 11:24 pm

You can download Xcode 3.1 ( iPhone SDK ), gcc 4.2 (OSX-Beta) is part of it. If you compile your code in in the terminal, use:
gcc-4.2 -fopenmp ... or g++-4.2 -fopenmp

Using Xcode select your targen -> info -> build. There enable OpenMP support and change the compiler to 4.2. Release works fine, debug so and so...
Trash Bazooka
 


Return to Using OpenMP

Who is online

Users browsing this forum: Google [Bot] and 3 guests